Sink
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.porttypes

## Class Sink

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.collector.impl.porttypes.Sink

- All Implemented Interfaces:
    org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties

      public class Sink
      extends GCUBEPortType
      implements org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties

  Sink PortType's implementation class. It's the registration PortType for all the Aggregator Sources.
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sink()` Initializes a new Sink PortType by creating its `SimpleResourcePropertySet`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `getCurrentTime()`
    `org.globus.wsrf.ResourcePropertySet` | `getResourcePropertySet()`
    `java.util.Calendar` | `getTerminationTime()`
    `void` | `setTerminationTime(java.util.Calendar time)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sink

          public Sink()

      Initializes a new Sink PortType by creating its `SimpleResourcePropertySet`

  - ### Method Detail

    - #### getCurrentTime

          public java.util.Calendar getCurrentTime()

      Specified by:
        `getCurrentTime` in interface `org.globus.wsrf.ResourceLifetime`

    - #### getTerminationTime

          public java.util.Calendar getTerminationTime()

      Specified by:
        `getTerminationTime` in interface `org.globus.wsrf.ResourceLifetime`

    - #### setTerminationTime

          public void setTerminationTime(java.util.Calendar time)

      Specified by:
        `setTerminationTime` in interface `org.globus.wsrf.ResourceLifetime`

    - #### getResourcePropertySet

          public org.globus.wsrf.ResourcePropertySet getResourcePropertySet()

      Specified by:
        `getResourcePropertySet` in interface `org.globus.wsrf.ResourceProperties`